org.eclipse.emf.cdo.net4j

## Interface FailoverCDOSessionConfiguration

- All Superinterfaces:
    CDONet4jSessionConfiguration, CDOSessionConfiguration, INotifier, RecoveringCDOSessionConfiguration

      public interface FailoverCDOSessionConfiguration
      extends RecoveringCDOSessionConfiguration

  A `session configuration` that recovers from network problems by failing over to backup repositories as directed by a fail-over monitor.
  Since:
    4.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.session.CDOSessionConfiguration

      `CDOSessionConfiguration.SessionOpenedEvent`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getMonitorConnectorDescription()`
    `java.lang.String` | `getRepositoryGroup()`

    - ### Methods inherited from interface org.eclipse.emf.cdo.net4j.RecoveringCDOSessionConfiguration

      `getConnectorTimeout, getHeartBeatPeriod, getHeartBeatTimeout, isHeartBeatEnabled, setConnectorTimeout, setHeartBeatEnabled, setHeartBeatPeriod, setHeartBeatTimeout`

    - ### Methods inherited from interface org.eclipse.emf.cdo.net4j.CDONet4jSessionConfiguration

      `getBranchManager, getConnector, getPackageRegistry, getRepositoryName, getRevisionManager, getSignalTimeout, getStreamWrapper, openNet4jSession, openSession, setBranchManager, setConnector, setPackageRegistry, setRepositoryName, setRevisionManager, setSignalTimeout, setStreamWrapper`

    - ### Methods inherited from interface org.eclipse.emf.cdo.session.CDOSessionConfiguration

      `getAuthenticator, getCredentialsProvider, getExceptionHandler, getFetchRuleManager, getIDGenerator, getLockNotificationMode, getPassiveUpdateMode, getUserID, isActivateOnOpen, isPassiveUpdateEnabled, isSessionOpen, setActivateOnOpen, setCredentialsProvider, setExceptionHandler, setFetchRuleManager, setIDGenerator, setLockNotificationMode, setPassiveUpdateEnabled, setPassiveUpdateMode, setUserID`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Method Detail

    - #### getMonitorConnectorDescription

          java.lang.String getMonitorConnectorDescription()

    - #### getRepositoryGroup

          java.lang.String getRepositoryGroup()

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html